=== debian/changelog ===
sonic (0.1.18-0ubuntu1) raring; urgency=low

  [ Matthew Fischer ]
  * New upstream release.  (LP: #1057272)
  * debian/copyright: License updated to allow Sonic.java and sonic.c
    to be directly included in a project rather than linking.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 13 Nov 2012 16:46:12 -0500

sonic (0.1.17-1.1build1) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 08 Oct 2012 22:57:25 +0100

sonic (0.1.17-1.1) unstable; urgency=low

  [ Luke Yelavich ]
  * Non-maintainer upload with maintainer's approval

  [ Angel Abad ]
  * debian/patches/fix-ftbfs-with-ld-as-needed:
    - Fix ftbfs with ld --as-needed (LP: #803198, Closes: #632251)

  [ Luke Yelavich ]
  * Non-maintainer upload with maintainer's approval
  * debian/patches/add-libdir.patch: Use $LIBDIr when installing the library
    files, and allow an alternative LIBDIR to be specified on the make
    command-line
  * debian/control:
    - Update homepage field (Closes: #644846)
    - Add required fields for Multi-Arch support
    - Fixes typo in libsonic0 package description (Closes: #644848)
    - Bumped standards version to 3.9.2
    - Point Vcs fields to a valid packaging location (Closes: #644847)
  * debian/rules:
    - Use the package's make install command, setting the LIBDIR to the
      multi-arch lib path
  * debian/*.install: Get package files from tmp directory
  * debian/watch: Update URL
  * debian/gbp.conf: Set some defaults for git packaging
  * Build a static library (Closes: #632496)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 21 Oct 2011 13:04:03 +1100
