=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
http://dev.vinux-project.org/sonic/download/sonic_(.+).tar.gz
