=== debian/changelog ===
sonic (0.2.0-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0 (no changes).
  * tests/control: Add autopkgtest.
  * control: Mark libsonic-java Multi-Arch: foreign.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Oct 2018 18:34:06 +0200

sonic (0.2.0-6) unstable; urgency=medium

  * rules: Bump java compatibility to 1.6.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Mar 2018 11:57:00 +0100

sonic (0.2.0-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Do not build java stuff during arch-only build
    (Closes: #841754).

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 Oct 2017 17:52:54 +0200

sonic (0.2.0-4) unstable; urgency=medium

  * compat: Bump to 9.
  * rules: Clear. Set hardening.
  * control: Drop hardening-wrapper dependency (Closes: #836655).
  * control: Bump Standards-Version to 3.9.8 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Sep 2016 18:53:35 +0200

sonic (0.2.0-3) unstable; urgency=medium

  * Fix Homepage URL in copyright file too.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 21 Aug 2015 14:48:53 +0200

sonic (0.2.0-2) unstable; urgency=medium

  * Fix Homepage URL.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 21 Aug 2015 11:15:40 +0200

sonic (0.2.0-1) unstable; urgency=low

  New upstream release.

  [ Samuel Thibault ]
  * watch: Add github URL.
  * rules:
    - Set DEB_BUILD_HARDENING=1 to enable hardening.
    - Add java build rules.
    - Remove changelog, not shipped any more.
  * control:
    - Depend on hardening-check.
    - Set maintainer to debian-accessibility team.
    - Add myself as uploader.
    - Bump Standards-Version to 3.9.6 (no changes).
    - Add libsonic-java package.
    - Add default-jdk dependency.
  * sonic.docs: install sonic.odt
  * patches/fix-ftbfs-with-ld-as-needed: Remove, merged upstream.
  * patches/sonic-static-lib.patch: Remove, merged upstream.
  * patches/add-libdir.patch: Refresh.

  [ Bill Cox ]
  * copyright: Update to Apache 2.0 licence

 -- Samuel Thibault <sthibault@debian.org>  Sun, 03 May 2015 20:41:15 +0200
