=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: sonic
 Section: sound
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Bill Cox <waywardgeek@gmail.com>
-Build-Depends: libsndfile1-dev, debhelper (>= 7.0.50~)
-Standards-Version: 3.9.2
-Homepage: http://dev.vinux-project.org/sonic
-Vcs-Browser: http://git.debian.org/?p=pkg-a11y/sonic.git;a=summary
-Vcs-Git: git://git.debian.org/git/pkg-a11y/sonic.git
+Priority: optional
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Uploaders: Bill Cox <waywardgeek@gmail.com>, Samuel Thibault <sthibault@debian.org>
+Build-Depends: debhelper (>= 9)
+Build-Depends-Indep: default-jdk
+Standards-Version: 4.2.0
+Homepage: https://github.com/waywardgeek/sonic
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/sonic.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/sonic.git
 
 Package: sonic
 Architecture: any
@@ -45,3 +46,16 @@
  It is needed only by developers wishing to link to libsonic.
  The key new feature in Sonic versus other libraries is very
  high quality at speed up factors well over 2X.
+
+Package: libsonic-java
+Architecture: all
+Multi-Arch: foreign
+Section: java
+Depends: ${misc:Depends}
+Description: Simple library to speed up or slow down speech - Java bindings
+ This package contains just the Java library.
+ libsonic is a very simple library for speeding up or slowing
+ down speech.  It has only basic dependencies, and is meant to
+ work on both Linux desktop machines and embedded systems.
+ The key new feature in Sonic versus other libraries is very
+ high quality at speed up factors well over 2X.
