=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3
opts=filenamemangle=s/release-/sonic-/ \
  https://github.com/waywardgeek/sonic/releases .*/release-(\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
http://vinux-project.org/sonic/download/sonic_(.+).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
